# org.apache.ignite.spi.communication.tcp.internal

## Interfaces

- CommunicationListenerEx
- ConnectionRequestor
- TcpCommunicationNodeConnectionCheckFuture
- TcpConnectionIndexAwareMessage

## Classes

- ConnectionKey
- ConnectionRequestFuture
- TcpCommunicationConnectionCheckFuture
- TcpConnectionRequestDiscoveryMessage
- TcpInverseConnectionResponseMessage

## Exceptions

- HandshakeException
- NodeUnreachableException